Subject: Re: StarMax4000/200 need help!
From: Izumi Tsutsui <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 25 Jul 1999 13:47:41 +0900 (JST)

In <[email-masked]>
[email-masked] wrote:

> I am still reproducing the problem, which
> booting hangs at probing wdc1, on the snapshot 19990620.
> I have just send-pr'ed the problem.

I guess this problem is caused by the StarMax quirk.
Linux-pmac seems to have some code for it.

In linux-pmac/include/asm/ohare.h:
---
/*
 * A magic value to put into the feature control register of the
 * "ohare" I/O controller on Starmaxes to enable the IDE CD interface.
 * Contributed by Harry Eaton.
 */
#define	STARMAX_FEATURES	0xbeff7a
---

In linux-pmac/arch/ppc/kernel/pmac_setup.c:
---
	feature_addr = (volatile u32 *)
	ioremap(np->addrs[0].address + OHARE_FEATURE_REG, 4);

	if (find_devices("via-pmu") == 0) {
		printk(KERN_INFO "Twiddling the magic ohare bits\n");
		out_le32(feature_addr, STARMAX_FEATURES);
	} else {
---

I'm not sure how/whether we should integrate these code, though.
---
Izumi Tsutsui
[email-masked]